This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 625158 - Enhanced User Interface
Enhanced User Interface
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
urgent Severity urgent (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon30-issues
  Show dependency treegraph
 
Reported: 2010-08-18 14:27 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 04:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-08-18 14:27:59 EDT
Several aspects to this work:
- Implement improvements to the appearance and usability of the JON UI
- Make the UI easier to customize, so that customers have less need to pull metrics/charts into their own custom apps.
- Make the UI easier to develop with, decreasing the amount of effort it takes to add new features

The target UI technology for the new UI is GWT, as a replacement for JSF and Struts. The main part of this effort will involve migrating any remaining jsf/struts pages to gwt and updating the work flow as necessary.

Areas of potential workflow improvement in the UI
-Alert notifications 
-Resource/Group Operation scheduling
-Creation/deployment of JBAS services
-Consistent importing of both large and small sets of discovered resources
Comment 1 Charles Crouch 2010-08-20 13:50:53 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=585306 for more detailed bug list
Comment 2 Heiko W. Rupp 2013-09-04 04:32:28 EDT
Closing out as too general and mostly outdated anyway

Note You need to log in before you can comment on or make changes to this bug.